Bug 1118626 - javacc-6.1.2 is available
Summary: javacc-6.1.2 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: javacc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Michael Simacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 07:54 UTC by Upstream Release Monitoring
Modified: 2016-09-01 16:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-01 16:45:14 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2014-07-11 07:54:51 UTC
Latest upstream release: 6.0src
Current version/release in Fedora Rawhide: 5.0-12.fc21
URL: http://java.net/projects/javacc/downloads/download/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Fedora Admin XMLRPC Client 2015-01-27 14:28:04 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Michael Simacek 2016-06-23 15:22:30 UTC
I don't have confidence in this update. It fails it's own tests despite not having external dependencies. I didn't get any response from upstream about it. The build is a mess of both ant and maven where neither works out of the box. Last three releases are not available on maven central. It breaks packages that depend on it. Fedora packages use it through maven plugin which has a dependency on version 3.2.

Thus I won't be updating it until something actually needs the new version.

Comment 3 Michael Simacek 2016-08-24 12:39:08 UTC
New version of javacc is now required by some of new updates. Updated version pushed to git and I plan to build it on Friday as announced on fedora-java.


Note You need to log in before you can comment on or make changes to this bug.